# class Prism::ForwardingSuperNode

Represents the use of the ‘super` keyword without parentheses or arguments.

    super
    ^^^^^

### Attributes

block [R]

attr_reader block: `BlockNode`?

### Public Class Methods

new (source, node_id, location, flags, block)
Source

    # File lib/prism/node.rb, line 7479
    def initialize(source, node_id, location, flags, block)
      @source = source
      @node_id = node_id
      @location = location
      @flags = flags
      @block = block
    end

Initialize a new `ForwardingSuperNode` node.

type ()
Source

    # File lib/prism/node.rb, line 7536
    def self.type
      :forwarding_super_node
    end

Return a symbol representation of this node type. See ‘Node::type`.

### Public Instance Methods

=== (other)
Source

    # File lib/prism/node.rb, line 7542
    def ===(other)
      other.is_a?(ForwardingSuperNode) &&
        (block === other.block)
    end

Implements case-equality for the node. This is effectively == but without comparing the value of locations. Locations are checked only for presence.

accept (visitor)
Source

    # File lib/prism/node.rb, line 7488
    def accept(visitor)
      visitor.visit_forwarding_super_node(self)
    end

def accept: (`Visitor` visitor) -> void

child_nodes ()
Source

    # File lib/prism/node.rb, line 7493
    def child_nodes
      [block]
    end

def `child_nodes`: () -> Array[nil | Node]

Also aliased as: deconstruct
comment_targets ()
Source

    # File lib/prism/node.rb, line 7505
    def comment_targets
      [*block] #: Array[Prism::node | Location]
    end

def `comment_targets`: () -> Array[Node | Location]

compact_child_nodes ()
Source

    # File lib/prism/node.rb, line 7498
    def compact_child_nodes
      compact = [] #: Array[Prism::node]
      compact << block if block
      compact
    end

def `compact_child_nodes`: () -> Array

copy (node_id: self.node_id, location: self.location, flags: self.flags, block: self.block)
Source

    # File lib/prism/node.rb, line 7510
    def copy(node_id: self.node_id, location: self.location, flags: self.flags, block: self.block)
      ForwardingSuperNode.new(source, node_id, location, flags, block)
    end

def copy: (?node_id: `Integer`, ?location: `Location`, ?flags: `Integer`, ?block: `BlockNode`?) -> `ForwardingSuperNode`

deconstruct ()

def deconstruct: () -> Array[nil | Node]

Alias for: child_nodes
deconstruct_keys (keys)
Source

    # File lib/prism/node.rb, line 7518
    def deconstruct_keys(keys)
      { node_id: node_id, location: location, block: block }
    end

def `deconstruct_keys`: (Array keys) -> { node_id: `Integer`, location: `Location`, block: `BlockNode`? }

inspect ()
Source

    # File lib/prism/node.rb, line 7526
    def inspect
      InspectVisitor.compose(self)
    end

def inspect -> `String`

type ()
Source

    # File lib/prism/node.rb, line 7531
    def type
      :forwarding_super_node
    end

Return a symbol representation of this node type. See ‘Node#type`.